Bug 381988 - clipboard content in journal/syslog
Summary: clipboard content in journal/syslog
Status: RESOLVED FIXED
Alias: None
Product: klipper
Classification: Applications
Component: general (show other bugs)
Version: 5.10.3
Platform: Gentoo Packages Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Martin Flöser
URL: https://bugs.gentoo.org/show_bug.cgi?...
Keywords:
Depends on:
Blocks:
 
Reported: 2017-07-04 14:25 UTC by Stefan Schmid
Modified: 2017-07-17 13:18 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Stefan Schmid 2017-07-04 14:25:06 UTC
I found this Entrys in my jounral:

plasmashell[663]: log_klipper: Checking clip data
plasmashell[663]: log_klipper: was empty. Retried, now   still empty
plasmashell[663]: log_klipper: Resetting clipboard (Prevent empty clipboard)
plasmashell[663]: log_klipper: Setting selection to < "sowiso" >

Is it normal that klipper puts the content of clipboard to jounrnal/syslog?
Not realy Secure, or?
Comment 1 Christoph Feck 2017-07-12 13:14:22 UTC
The code uses qCDebug, which means you can disable logging for Klipper.

Please ask in a forum of your distribution how to configure Qt Categorized Logging.
Comment 2 Stefan Schmid 2017-07-17 13:16:46 UTC
This Bug can closed, the Change from Commit e9401081544227baacfa5a9db05aa563318082dc solve the Issue.

https://cgit.kde.org/plasma-workspace.git/commit/?id=e9401081544227baacfa5a9db05aa563318082dc